# Own Recipe

Retrieve individual own recipe by giving the recipe Id.

{% hint style="warning" %}
Please refer to the [User's recipe](https://docs.suggestic.com/graphql/query/queries/food-log/users-recipes) documentation for a new and improved way for searching your own recipe for food logging or other purposes.
{% endhint %}

## Requirements

1. Create your [own recipe](https://docs.suggestic.com/graphql/query/mutations/food-log/own-recipe/create-own-recipe).
2. Obtain your [own recipe](https://docs.suggestic.com/graphql/query/queries/food-log/own-recipes) ID to be used in the mutation.

## Required Argument

| Argument | Type | Description          |
| -------- | ---- | -------------------- |
| `id`     | ID   | Id of the own recipe |

## Available Fields

The following fields are displayed in the response:

| Field             | Type                                                                                  | Description                                         |
| ----------------- | ------------------------------------------------------------------------------------- | --------------------------------------------------- |
| `id`              | ID                                                                                    | Id of the own recipe                                |
| `name`            | String                                                                                | Name of the recipe                                  |
| `quantity`        | Int                                                                                   | Quantity of the recipe                              |
| `ingredients`     | [Ingredients](https://docs.suggestic.com/graphql/objects/food-logs/ingredients)       | A structured version of a recipe ingredients        |
| `nutritionalInfo` | [nutritionalInfo](https://docs.suggestic.com/graphql/objects/recipe/nutritional-info) | A structured version of the nutritional information |

## Example

{% tabs %}
{% tab title="Query" %}

```graphql
{
  ownRecipe(id: "TWVhbExvZzo1YmZkYTgzYy1jMzIwLTExZWItYTU3Mi1iYTg4YzNlMjJkODE=") {
    id
    databaseId
    name
    quantity
    ingredients {
      id
      name
    }
    nutritionalInfo {
      calories
      protein
      fat
      carbs
    }
  }
```

{% endtab %}

{% tab title="Response" %}

```javascript
{
  "data": {
    "ownRecipe": {
      "id": "TWVhbExvZzo1YmZkYTgzYy1jMzIwLTExZWItYTU3Mi1iYTg4YzNlMjJkODE=",
      "databaseId": "5bfda83c-c320-11eb-a572-ba88c3e22d81",
      "name": "My cool bacon eggs",
      "quantity": 1,
      "ingredients": [
        {
          "id": "01123",
          "name": "Egg, whole, raw, fresh"
        },
        {
          "id": "10123",
          "name": "Pork, cured, bacon, unprepared"
        }
      ],
      "nutritionalInfo": {
        "calories": 5.36,
        "protein": 0.26,
        "fat": 0.47,
        "carbs": 0.01
      }
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/query/queries/food-log/legacy/own-recipe.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
